import { CreateGweet } from "@/components/create-gweet/components/create-gweet"
import { GlobalLayout } from "@/components/global-layout"
import { Gweets } from "@/components/gweets/components/gweets"
import ScrollToTop from "@/components/scroll-to-top"
import { Trends } from "@/components/trends/components/trends"
import { Card } from "@/components/ui/card"
import getURL from "@/lib/utils"

export default async function HomePage() {
    return (
        <GlobalLayout
            mainContent={
                <>
                    <div className="fixed top-30 z-40">
                        <ScrollToTop />
                    </div>
                    <div className="w-full space-y-6 flex flex-col">
                        <div>{getURL(`/api/users/`)}</div>
                        <CreateGweet />
                        <Gweets />
                    </div>
                </>
            }
            sideContent={
                <Card className="p-5 bg-secondary">
                    <Trends />
                </Card>
            }
        />
    )
}